Compiling with ECDSA / ECDN / EC Support ? - Openssl

This is a discussion on Compiling with ECDSA / ECDN / EC Support ? - Openssl ; Hello, How can I compile OpenSSL with ECDSA,ECDN and EC support? Running the standard ./config compiled without these libraries that are dependencies for other modules. Other scripts complain ec.h can't be found, along with ecdsa.h and ecdn.h. Simply copying them ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Compiling with ECDSA / ECDN / EC Support ?

  1. Compiling with ECDSA / ECDN / EC Support ?


    Hello,

    How can I compile OpenSSL with ECDSA,ECDN and EC support?

    Running the standard ./config compiled without these libraries that are
    dependencies for other modules.

    Other scripts complain ec.h can't be found, along with ecdsa.h and ecdn.h.

    Simply copying them reveals EC is disabled. ECDSA is disabled and ECDN is
    disabled.

    I didn't specify any NO- options and compiling on FC9.

    Thank you,
    --
    View this message in context: http://www.nabble.com/Compiling-with...p17416240.html
    Sent from the OpenSSL - User mailing list archive at Nabble.com.
    __________________________________________________ ____________________
    OpenSSL Project http://www.openssl.org
    User Support Mailing List openssl-users@openssl.org
    Automated List Manager majordomo@openssl.org


  2. Re: Compiling with ECDSA / ECDN / EC Support ?

    On Thu, May 22, 2008 at 05:04:40PM -0700, expresspotato wrote:

    >
    > Hello,
    >
    > How can I compile OpenSSL with ECDSA,ECDN and EC support?


    Use OpenSSL 0.9.8 (where is EC is present, but not on the default
    TLS cipher list) or 0.9.9-dev where it is fully enabled.

    --
    Viktor.
    __________________________________________________ ____________________
    OpenSSL Project http://www.openssl.org
    User Support Mailing List openssl-users@openssl.org
    Automated List Manager majordomo@openssl.org


+ Reply to Thread